Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
frstrans Interface Reference

## Classes
struct | frstrans_AsyncResponseContext
struct | frstrans_AsyncVersionVectorResponse
struct | frstrans_EpoqueVector
struct | frstrans_RdcFileInfo
struct | frstrans_RdcParameterFilterMax
struct | frstrans_RdcParameterFilterPoint
struct | frstrans_RdcParameterGeneric
struct | frstrans_RdcParameters
struct | frstrans_VersionVector

## Public Types
enum | frstrans_ProtocolVersion { FRSTRANS_PROTOCOL_VERSION_W2K3R2 = 0x00050000, FRSTRANS_PROTOCOL_VERSION_LONGHORN_SERVER = 0x00050002 }
enum | frstrans_UpdateRequestType { FRSTRANS_UPDATE_REQUEST_ALL = 0x0000, FRSTRANS_UPDATE_REQUEST_TOMBSTONES = 0x0001, FRSTRANS_UPDATE_REQUEST_LIVE = 0x0002 }
enum | frstrans_UpdateStatus { FRSTRANS_UPDATE_STATUS_DONE = 0x0002, FRSTRANS_UPDATE_STATUS_MORE = 0x0003 }
enum | frstrans_VersionRequestType { FRSTRANS_VERSION_REQUEST_NORNAL_SYNC = 0x0000, FRSTRANS_VERSION_REQUEST_SLOW_SYNC = 0x0001, FRSTRANS_VERSION_REQUEST_SLAVE_SYNC = 0x0002 }
enum | frstrans_VersionChangeType { FRSTRANS_VERSION_CHANGE_NOTIFY = 0x0000, FRSTRANS_VERSION_CHANGE_ALL = 0x0002 }
enum | frstrans_RequestedStagingPolicy { FRSTRANS_STAGING_POLICY_SERVER_DEFAULTY = 0x0000, FRSTRANS_STAGING_POLICY_STATGING_REQUIRED = 0x0001, FRSTRANS_STAGING_POLICY_RESTATGING_REQUIRED = 0x0002 }
enum | frstrans_RdcChunckerAlgorithm { FRSTRANS_RDC_FILTER_GENERIC = 0x0000, FRSTRANS_RDC_FILTER_MAX = 0x0001, FRSTRANS_RDC_FILTER_POINT = 0x0002, FRSTRANS_RDC_MAX_ALGORITHM = 0x0003 }
enum | frstrans_RdcVersion { FRSTRANS_RDC_VERSION = 0x0001 }
enum | frstrans_RdcVersionCompatible { FRSTRANS_RDC_VERSION_COMPATIBLE = 0x0001 }
enum | frstrans_RdcCompressionAlgorithm { FRSTRANS_RDC_UNCOMPRESSED = 0x0000, FRSTRANS_RDC_XPRESS = 0x0001 }
struct {
boolean32 present
boolean32 name_conflict
uint32 attributes
NTTIME fence
NTTIME clock
NTTIME create_time
GUID content_set_guid
uint8 sha1_hash [20]
uint8 rdc_similarity [16]
GUID uid_db_guid
hyper uid_version
GUID gsvn_db_guid
hyper gsvn_version
GUID parent_db_guid
hyper parent_version
uint16 name [261]
uint32 flags
} | frstrans_Update
union {
frstrans_RdcParameterGeneric filter_generic
frstrans_RdcParameterFilterMax filter_max
frstrans_RdcParameterFilterPoint filter_point
} | frstrans_RdcParameterUnion

## Public Member Functions
WERROR | frstrans_CheckConnectivity ([in] GUID replica_set_guid, [in] GUID connection_guid)
WERROR | frstrans_EstablishConnection ([in] GUID replica_set_guid, [in] GUID connection_guid, [in] frstrans_ProtocolVersion downstream_protocol_version, [in] frstrans_TransportFlags downstream_flags, [out, ref] frstrans_ProtocolVersion *upstream_protocol_version, [out, ref] frstrans_TransportFlags *upstream_flags)
WERROR | frstrans_EstablishSession ([in] GUID connection_guid, [in] GUID content_set_guid)
WERROR | frstrans_RequestUpdates ([in] GUID connection_guid, [in] GUID content_set_guid, [in, range(0, 256)] uint32 credits_available, [in, range(0, 1)] boolean32 hash_requested, [in, range(0, 2)] frstrans_UpdateRequestType update_request_type, [in] uint32 version_vector_diff_count, [in, size_is(version_vector_diff_count)] frstrans_VersionVector *version_vector_diff, [out, ref, size_is(credits_available), length_is(*update_count)] frstrans_Update *frs_update, [out, ref] uint32 *update_count, [out, ref] frstrans_UpdateStatus *update_status, [out, ref] GUID *gvsn_db_guid, [out, ref] hyper *gvsn_version)
WERROR | frstrans_RequestVersionVector ([in] uint32 sequence_number, [in] GUID connection_guid, [in] GUID content_set_guid, [in, range(0, 2)] frstrans_VersionRequestType request_type, [in, range(0, 2)] frstrans_VersionChangeType change_type, [in] hyper vv_generation)
WERROR | frstrans_AsyncPoll ([in] GUID connection_guid, [out, ref] frstrans_AsyncResponseContext *response)
void | FRSTRANS_REQUEST_RECORDS ()
void | FRSTRANS_UPDATE_CANCEL ()
void | FRSTRANS_RAW_GET_FILE_DATA ()
void | FRSTRANS_RDC_GET_SIGNATURES ()
void | FRSTRANS_RDC_PUSH_SOURCE_NEEDS ()
void | FRSTRANS_RDC_GET_FILE_DATA ()
void | FRSTRANS_RDC_CLOSE ()
WERROR | frstrans_InitializeFileTransferAsync ([in] GUID connection_guid, [in, out, ref] frstrans_Update *frs_update, [in, range(0, 1)] boolean32 rdc_desired, [in, out, ref] frstrans_RequestedStagingPolicy *staging_policy, [out, ref] policy_handle *server_context, [out, ref] frstrans_RdcFileInfo **rdc_file_info, [out, ref, size_is(buffer_size), length_is(*size_read)] uint8 *data_buffer, [in, range(0, 262144)] uint32 buffer_size, [out, ref] uint32 *size_read, [out, ref] boolean32 *is_end_of_file)
void | FRSTRANS_OPNUM_0E_NOT_USED_ON_THE_WIRE ()
void | FRSTRANS_RAW_GET_FILE_DATA_ASYNC ()
void | FRSTRANS_RDC_GET_FILE_DATA_ASYNC ()

## Public Attributes
typedef | bitmap

## Member Data Documentation

typedef frstrans::bitmap

Initial value:
{
FRSTRANS_TRANSPORT_SUPPORTS_RDC_SIMILARITY = 0x00000001
} frstrans_TransportFlags

The documentation for this interface was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/pidl/frstrans/frstrans.idl